

@echo off
rem ##########################################################################
rem # AdventNet Micro Agent for MySQL Release 1.0.1                          #
rem # This script is used to deploy the mysql agent into                     #
rem # a windows box where the mysql server is running.                       #
rem #                                                                        #
rem ##########################################################################

cd..
set SNMP_PORT=8001
set SNMP_TRAP_PORT=8002
set SNMP_TRAP_RECEIVER=8004
set HTTP_PORT=8040
echo
echo.
echo ###############################
echo AdventNet Micro Agent for MySQL
echo Release 1.0.1
echo ###############################
echo.
echo Please provide the following configurations...
echo.

set /p host="Host where mysql is running [Please Type 'localhost' for local deployment] : "
echo.

if "%host%" == "localhost" goto localdeployment else goto remotedeploy

:remotedeploy

set /p user="Administrator User Name on %host% : "
echo.
echo Password for %user% : 
expect\expect bin\scripts\getpassword.exp > temp.txt
FOR /F "delims=" %%i in (temp.txt) do set passwd=%%i
del temp.txt
echo.
set /p sdir="The Shared Drive on  %host% [Example c, d, e] : "
echo.

IF NOT EXIST logs mkdir logs


net use z: \\%host%\%sdir%$ /u:%user% %passwd%

mkdir z:\mysqlagent
mkdir z:\agent
mkdir z:\lib
mkdir z:\bin

xcopy agent z:\mysqlagent\agent\ /E /Y
xcopy lib\adventnetmma.dll z:\mysqlagent\lib\ /E /Y

xcopy bin\scripts\winagent.bat z:\mysqlagent\bin\ /E /Y

cscript bin\scripts\remotestart.vbs %host% %user% %passwd% %sdir%

net use z: /delete

goto exit

:localdeployment

set /p installdir="Please provide the installation directory for %host% : "
echo.
	
IF NOT EXIST %installdir%\mysqlagent mkdir %installdir%\mysqlagent

xcopy agent %installdir%\mysqlagent\ /S /E
copy lib\adventnetmma.dll %WINDIR%\system\

cd %installdir%\mysqlagent\bin
cls
echo Starting Agent!!!
echo AdventNet Micro Agent For MySQL 
echo Release 1.0.1
mysqlagent.exe -sp %SNMP_PORT% -st %SNMP_TRAP_PORT% -sr %SNMP_TRAP_RECEIVER% -hw %HTTP_PORT%

:exit
cd bin
pause

